package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.FlowApprovePassEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程任务审批参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowTaskApproveParam implements Serializable {

    @ApiModelProperty(value = "流程任务id")
    @NotNull(message = "流程任务id不能为空")
    private String taskId;

    @ApiModelProperty(value = "流程审核操作")
    @NotNull(message = "流程审核操作不能为空")
    private FlowApprovePassEnum approvePass;

    @ApiModelProperty(value = "流程审核意见")
    private String remark;

    @ApiModelProperty(value = "流程驳回节点")
    private Integer setup;

    @ApiModelProperty(value = "流程审批人列表")
    @JsonSerialize(using = ToStringSerializer.class)
    private List<Long> approveUserIds;

    public List<Long> getApproveUserIds() {
        return approveUserIds;
    }

    public void setApproveUserIds(List<Long> approveUserIds) {
        this.approveUserIds = approveUserIds;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public FlowApprovePassEnum getApprovePass() {
        return approvePass;
    }

    public void setApprovePass(FlowApprovePassEnum approvePass) {
        this.approvePass = approvePass;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }
}
